//CUITileUser - [2020-04-13 11:57:47]
#ifndef _CUITILEUSER_H_
#define _CUITILEUSER_H_

#include "common.h"
#include "CUITile.h"
/*
00145F84 CUITileUser::CUITileUser(char *,int,bool,bool)
001466E2 CUITileUser::~CUITileUser()
00146084 CUITileUser::CreateProfileHead()
00146238 CUITileUser::CheckForDownload(int)
001462FC CUITileUser::SetMedalCount()
001463B0 CUITileUser::Render()
001463B8 CUITileUser::RenderBase()
001466BC CUITileUser::Process()
001466C6 CUITileUser::UpdateUserID(wchar_t *)
1E8
*/

class CUITileUser : public CUITile{
public:
  CUITileUser(char *, int, bool, bool);  //00145F84
  virtual ~CUITileUser();                //001466E2
  void CreateProfileHead();              //00146084
  void CheckForDownload(int);            //00146238
  void SetMedalCount();                  //001462FC
  virtual void Render();                 //001463B0
  virtual void RenderBase();             //001463B8
  virtual EUITileAction Process();       //001466BC
  void UpdateUserID(wchar_t *);          //001466C6

  
  uchar   unknown_1AA[0x2];
  bool    bool_1AC;
  char    m_unknown_1AD[0x3B];
};

#endif  //_CUITILEUSER_H_